Page MenuHomePhabricator

[PowerPC] Add __vector_pair and __vector_quad types
ClosedPublic

Authored by bsaleil on Jun 9 2020, 2:50 PM.

Details

Summary

Define the __vector_pair and __vector_quad types that are used to manipulate the new accumulator registers introduced by MMA.
Because these two types are specific to PowerPC, they are defined in a separate new file so it will be easier to add other PowerPC specific types if we need to in the future.

Diff Detail

Event Timeline

bsaleil created this revision.Jun 9 2020, 2:50 PM
bsaleil created this object with visibility "bsaleil (Baptiste Saleil)".
bsaleil created this object with edit policy "bsaleil (Baptiste Saleil)".
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 9 2020, 2:50 PM
bsaleil edited the summary of this revision. (Show Details)Jun 19 2020, 6:06 PM
bsaleil edited the summary of this revision. (Show Details)
bsaleil added a reviewer: Restricted Project.Jun 19 2020, 6:11 PM
bsaleil changed the visibility from "bsaleil (Baptiste Saleil)" to "Public (No Login Required)".
bsaleil changed the edit policy from "bsaleil (Baptiste Saleil)" to "All Users".
bsaleil edited projects, added Restricted Project; removed Restricted Project.
ABataev added inline comments.Jul 14 2020, 11:14 AM
llvm/lib/Target/PowerPC/PPCTargetMachine.cpp
160 ↗(On Diff #269683)

StringSwitch?

bsaleil updated this revision to Diff 300408.Oct 23 2020, 2:13 PM

Rebasing the patch

bsaleil edited the summary of this revision. (Show Details)Oct 23 2020, 2:20 PM
bsaleil edited the summary of this revision. (Show Details)
martong removed a subscriber: martong.Oct 26 2020, 3:03 AM
amyk accepted this revision as: amyk.Oct 27 2020, 10:06 AM
amyk added a subscriber: amyk.

Aside from the clang-format issues and as long as no one has any other concerns, this LGTM.

This revision is now accepted and ready to land.Oct 27 2020, 10:06 AM
This revision was landed with ongoing or failed builds.Oct 28 2020, 11:19 AM
This revision was automatically updated to reflect the committed changes.